Package com.ngrok.services

# Class HttpsEdgeTlsTerminationModule.ReplaceCallBuilder

java.lang.Object
com.ngrok.services.HttpsEdgeTlsTerminationModule.ReplaceCallBuilder

Enclosing class:
  HttpsEdgeTlsTerminationModule

public class HttpsEdgeTlsTerminationModule.ReplaceCallBuilder extends Object
A builder object encapsulating state for an unsent Replace API call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EndpointTlsTermination`
  `blockingCall()`
  Initiates the API call and blocks until it returns.
  `CompletionStage<EndpointTlsTermination>`
  `call()`
  Initiates the API call asynchronously.
  `HttpsEdgeTlsTerminationModule.ReplaceCallBuilder`
  `module(EndpointTlsTerminationAtEdge module)`
  Sets the `module` parameter.
  `HttpsEdgeTlsTerminationModule.ReplaceCallBuilder`
  `module(Optional<EndpointTlsTerminationAtEdge> module)`
  Sets (or unsets) the `module` parameter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### module

    public HttpsEdgeTlsTerminationModule.ReplaceCallBuilder module(EndpointTlsTerminationAtEdge module)
    Sets the `module` parameter.
    Parameters:
      `module` - the value of the module parameter as a `EndpointTlsTerminationAtEdge`
    Returns:
      the call builder instance

  - ### module

    public HttpsEdgeTlsTerminationModule.ReplaceCallBuilder module(Optional<EndpointTlsTerminationAtEdge> module)
    Sets (or unsets) the `module` parameter.
    Parameters:
      `module` - the value of the module parameter as an `Optional` of `EndpointTlsTerminationAtEdge`
    Returns:
      the call builder instance

  - ### call

    public CompletionStage<EndpointTlsTermination> call()
    Initiates the API call asynchronously.
    Returns:
      a `CompletionStage` of `EndpointTlsTermination`

  - ### blockingCall

    public EndpointTlsTermination blockingCall() throws InterruptedException
    Initiates the API call and blocks until it returns.
    Returns:
      `EndpointTlsTermination`
    Throws:
      `InterruptedException` - if the thread was interrupted during the call